/*Author: Carolin Schulz*/
/*Student ID: 22178163*/


/*****************************************************************/
/*Draft Page 1*/
/*****************************************************************/

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 100px;
    background: url('./../images/pexels-tyler-clemmensen-8376593.jpg') center #000 no-repeat;
    background-size: cover;
    height: 400px;
    padding: 20px;
    color: white;
}

.container {
    transition: filter 0.3s;
}

.container:hover {
    filter: brightness(70%)
}

.container {
    display: flex;
    align-items: center;
}

.centered{
    color: white;
    top: 260px;
    text-align: center;
}

.search {
    text-align: center;
    margin-bottom: 20%;
}

.searchbar {
    border: none;
    border-bottom: black 2px solid;
    font-family: 'Montserrat', 'serif';
    margin-bottom: 20px;
}

::placeholder {
    color: black;
}

.searchbar:focus {
    outline: none;
}

.filter-button {
    background-color: white;
    border: black 2px solid;
    font-family: 'Montserrat', 'serif';
    margin-left: 30px;
    padding-right: 40px;
    padding-left: 40px;
    padding-top: 5px;
    padding-bottom: 3px;
    transition: background-color 0.15s, color 0.15s;
}

.filter-button:hover {
    background-color: black;
    color: white;
    cursor: pointer;
}

/*****************************************************************/
/*Draft Page 2*/
/*****************************************************************/

.header {
    font-weight: lighter;
    text-align: center;
}

.ad {
    text-align: center;
    margin-bottom: 100px;
}


.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px,1fr));
    margin-bottom: 200px;
    margin-left: 50px;
}

.slogan {
    font-weight: lighter;
    margin-bottom: 15px;
}

.favourite {
    margin-top: 0;
    margin-bottom: 5px;
    font-weight: light;
}

.car {
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 5px;
    color: #00a3c8;
}

.specs {
    margin-top: 0;
}

.price {
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 10px;
}

.spec_img {
    margin-top: 0;
    margin-bottom: 30px;
    vertical-align: middle;
}

.spec_info {
    display: inline-block;
    margin-top: 0;
    margin-bottom: 30px;
    vertical-align: middle;
    padding-top: 5px;
    padding-left: 35px;
}

.attribute_grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin-bottom: 10px;
}
.attribute {
    color: rgb(105, 105, 105);
    padding-right: 10px;
}

.learn-button {
	background-color: white;
	border: 1px solid black;
    font-family: 'Montserrat', 'serif';
    transition: background-color 0.15s, color 0.15s, opacity 0.15s;
	margin-right: 30px;
}

.learn-button:hover {
	background-color: black;
	color: white;
	cursor: pointer;
}

.learn-button:active {
	opacity: 0.6;
}

.contact-button {
	background-color: black;
	color: white;
	border: 1px solid black;
    font-family: 'Montserrat', 'serif';
    transition: background-color 0.15s, color 0.15s, opacity 0.15s;
	margin-top: 30px;
    margin-bottom: 40px;
}

.contact-button:hover {
	background-color: white;
	color: black;
	cursor: pointer;
}

.contact-button:active {
	opacity: 0.6;
}


.car_img {
    transition: filter 0.3s;
}

.right {
    margin-right: 20px;
}

.car_img:hover {
    filter: brightness(85%);
    cursor: pointer;
}

/*****************************************************************/
/*Draft Page 3+4*/
/*****************************************************************/

#mini {
    filter: brightness(97%);
    transition: filter 0.3;
}

#mini:hover {
    filter: brightness(85%);
    cursor: pointer;
}

#car_mini {
    color: red;
}

#car_bmw {
    color: #747474;
}

/*Draft Page 5*/

.left_mercedes {
    margin-right: 10%;
}
#right_mercedes {
    text-align: center;
}

#quality_slogan {
    text-align: left;
    padding-bottom: 8px;
    margin-top:10px;
}

.quality_description {
    text-align: left;
}

#terms {
    text-decoration: underline;
    text-decoration-thickness: 3px;
    transition: color 0.17s;
}

#terms:hover {
    color: rgb(73, 73, 73);
}